import Module from '../Module.ts'
import Kernel from '../Kernel.ts'
import {Request} from '../../Request.ts'

/**
 * Persist the session data before closing the request.
 * @extends Module
 */
export default class PersistSession extends Module {
    public static register(kernel: Kernel) {
        kernel.register(this).last()
    }

    /**
     * Persist the session.
     * @param {Request} request
     */
    public async apply(request: Request): Promise<Request> {
        await request.session.persist()
        return request
    }
}
